---
lang: en
title: 'API docs: authentication-jwt.userrepository'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.userrepository.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [UserRepository](./authentication-jwt.userrepository.md)

## UserRepository class

<b>Signature:</b>

```typescript
export declare class UserRepository extends DefaultCrudRepository<User, typeof User.prototype.id, UserRelations> 
```
<b>Extends:</b> [DefaultCrudRepository](./repository.defaultcrudrepository.md)<!-- -->&lt;[User](./authentication-jwt.user.md)<!-- -->, typeof [User.prototype.id](./authentication-jwt.user.id.md)<!-- -->, [UserRelations](./authentication-jwt.userrelations.md)<!-- -->&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(dataSource, userCredentialsRepositoryGetter)](./authentication-jwt.userrepository._constructor_.md) |  | Constructs a new instance of the <code>UserRepository</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [userCredentials](./authentication-jwt.userrepository.usercredentials.md) |  | [HasOneRepositoryFactory](./repository.hasonerepositoryfactory.md)<!-- -->&lt;[UserCredentials](./authentication-jwt.usercredentials.md)<!-- -->, typeof [User.prototype.id](./authentication-jwt.user.id.md)<!-- -->&gt; |  |
|  [userCredentialsRepositoryGetter](./authentication-jwt.userrepository.usercredentialsrepositorygetter.md) |  | [Getter](./context.getter.md)<!-- -->&lt;[UserCredentialsRepository](./authentication-jwt.usercredentialsrepository.md)<!-- -->&gt; |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [findCredentials(userId)](./authentication-jwt.userrepository.findcredentials.md) |  |  |


